Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Neurosupport
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Yandex Cloud Trust
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex BareMetal
    • Все инструкции
    • Обзор сервиса
    • Интеграции с другими сервисами Yandex Cloud
      • Обзор
      • Готовые конфигурации серверов
      • Своя конфигурация сервера
      • Конфигурация сервера по запросу
      • Обзор
      • Публичная сеть
      • Приватная сеть
      • DHCP
      • MC-LAG
      • Ограничения в сетях BareMetal
      • Обзор
      • Образы
      • Управление доступом
      • Дополнительные настройки серверов
      • Консоль управления
        • Аутентификация в API
            • Overview
              • Overview
              • GetPrivateSubnet
              • ListPrivateSubnets
              • CreatePrivateSubnet
              • UpdatePrivateSubnet
              • DeletePrivateSubnet
              • ListPrivateSubnetOperations
      • Метрики Monitoring
    • Квоты и лимиты
  • Правила тарификации
  • История изменений
  • Вопросы и ответы

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • PrivateSubnet
  • VrfOptions
  • DhcpOptions
  1. Концепции
  2. Настройка и управление
  3. Справочник API
  4. API v2
  5. REST (англ.)
  6. PrivateSubnet
  7. ListPrivateSubnets

BareMetal API, REST: PrivateSubnet.ListPrivateSubnets

Статья создана
Yandex Cloud
Обновлена 3 августа 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • PrivateSubnet
  • VrfOptions
  • DhcpOptions

Retrieves the list of PrivateSubnet resources in the specified folder.

https://google.aip.dev/130 --)

HTTP requestHTTP request

GET https://baremetal.api.cloud.yandex.net/baremetal/v2/clouds/{cloudId}/folders/{folderId}/privateSubnets

Path parametersPath parameters

Field

Description

cloudId

string

Required field. ID of the parent cloud.

To get the cloud ID, use a yandex.cloud.resourcemanager.v1.CloudService.List request.

folderId

string

Required field. ID of the parent folder.

To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is greater than page_size,
the service returns a ListPrivateSubnetsResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.
Default value is 20.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListPrivateSubnetsResponse.nextPageToken returned by a previous list request.

orderBy

string

Sorting order for the listing. Follows the AIP-132 order_by format:
"field [asc|desc]", e.g. "createTime desc".

Supported fields: privateSubnetId, createTime, updateTime.
Default order: privateSubnetId asc.

filter

string

Filter expression following AIP-160.

Supported fields and operators:

  • privateSubnetId, name, hardwarePoolId - =, !=, : (contains)
  • state - =, !=
  • vrfOptions.vrfId - =, !=, : (contains)

Example: state = "READY" AND vrfOptions.vrfId = "enp1234abcd".

ResponseResponse

HTTP Code: 200 - OK

{
  "privateSubnets": [
    {
      "privateSubnetId": "string",
      "cloudId": "string",
      "folderId": "string",
      "name": "string",
      "description": "string",
      "state": "string",
      "hardwarePoolId": "string",
      "vrfOptions": {
        "vrfId": "string",
        "cidr": "string",
        "dhcpOptions": {
          "startIp": "string",
          "endIp": "string"
        },
        "gatewayIp": "string"
      },
      "createTime": "string",
      "updateTime": "string",
      "annotations": "object",
      "zoneId": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

privateSubnets[]

PrivateSubnet

List of PrivateSubnet resources.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
ListPrivateSubnetsRequest.pageSize, use next_page_token as the value
for the ListPrivateSubnetsRequest.pageToken parameter in the next list request.

Each subsequent page will have its own next_page_token to continue paging through the results.

PrivateSubnetPrivateSubnet

A PrivateSubnet resource.

Field

Description

privateSubnetId

string

ID of the private subnet.

cloudId

string

ID of the cloud that the private subnet belongs to.

folderId

string

ID of the folder that the private subnet belongs to.

name

string

Name of the public subnet.
The name is unique within the folder.

The string length in characters must be 2-63. Value must match the regular expression [a-z]([-a-z0-9]*[a-z0-9])?.

description

string

Optional description of the private subnet.

The maximum string length in characters is 1024.

state

enum (State)

State of the private subnet.

  • CREATING: Private subnet is being created.
  • READY: Private subnet is ready to use.
  • UPDATING: Private subnet is being updated.
  • DELETING: Private subnet is being deleted.
  • ERROR: Private subnet encountered a problem and cannot operate.

hardwarePoolId

string

ID of the hardware pool that the private subnet belongs to.

The maximum string length in characters is 20.

vrfOptions

VrfOptions

Optional VRF options for the private subnet. If missing, the private subnet will be unrouted,
i.e. it will lack a DHCP server and routing capabilities between this subnet and other private
subnets.

createTime

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

updateTime

string (date-time)

Update timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

annotations

object (map<string, string>)

Resource annotations as key:value pairs.

The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression [a-z][-_0-9a-z]*. Each value must match the regular expression [-_0-9a-z]*. No more than 64 per resource.

zoneId

string

ID of the availability zone where the server resides.

VrfOptionsVrfOptions

VRF options for the private subnet.

Field

Description

vrfId

string

ID of the VRF.

cidr

string

CIDR block for the subnet.

dhcpOptions

DhcpOptions

DHCP options for the subnet.

gatewayIp

string

Gateway IP address for the subnet.

DhcpOptionsDhcpOptions

DHCP options for a subnet.

Field

Description

startIp

string

Start IP address of the DHCP range (inclusive).

endIp

string

End IP address of the DHCP range (inclusive).

Была ли статья полезна?

Предыдущая
GetPrivateSubnet
Следующая
CreatePrivateSubnet
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»